## icoextract 0.1.2

=== requirements.txt ===
pefile
Pillow
setuptools
