=== debian/changelog ===
icoextract (0.1.2-2) unstable; urgency=medium

  * No change rebuild for testing migration.

 -- James Lu <james@overdrivenetworks.com>  Sat, 09 Jan 2021 23:06:15 -0800

icoextract (0.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #947199)

 -- James Lu <james@overdrivenetworks.com>  Tue, 22 Dec 2020 16:09:55 -0800
