=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=icoextract
# Install scripts to debian/tmp so that we can split them into multiple binary packages
export PYBUILD_INSTALL_ARGS=--install-scripts=../tmp
# Build prerequisite files before running tests
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir} && cd {build_dir}/tests && make

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_gencontrol:
	dh_gencontrol
	dh_gencontrol -pexe-thumbnailer -- -v1~icoextract-$(DEB_VERSION)
