=== debian/changelog ===
icoextract (0.1.4-2) unstable; urgency=medium

  * Update my email.
  * Remove exe-thumbnailer transitional package (Closes: #1038246)

 -- James Lu <jlu@debian.org>  Sat, 29 Jul 2023 22:38:15 -0700

icoextract (0.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1; no changes needed
  * Add B-D python3-pil (additional thumbnailer tests)

 -- James Lu <james@overdrivenetworks.com>  Sat, 03 Sep 2022 21:51:09 -0700
