=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: icoextract
 Section: misc
 Priority: optional
-Maintainer: James Lu <james@overdrivenetworks.com>
+Maintainer: James Lu <jlu@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-setuptools,
                python3-all,
                gcc-mingw-w64 <!nocheck>,
                imagemagick <!nocheck>,
-               python3-pefile <!nocheck>
-Standards-Version: 4.5.1
+               python3-pefile <!nocheck>,
+               python3-pil <!nocheck>
+Standards-Version: 4.6.1
 Homepage: https://github.com/jlu5/icoextract
 Vcs-Browser: https://salsa.debian.org/jlu-guest/icoextract
 Vcs-Git: https://salsa.debian.org/jlu-guest/icoextract.git
@@ -38,19 +39,9 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-icoextract, python3-pil
 Suggests: icoextract
-Breaks: exe-thumbnailer (<< 1~)
-Replaces: exe-thumbnailer (<< 1~)
 Provides: exe-thumbnailer
 Description: thumbnailer for Windows PE files (.exe/.dll)
  icoextract is an icon extraction library for Windows PE files (.exe/.dll)
  .
  This package installs a Windows executable thumbnailer for file managers
  supporting Freedesktop.org thumbnailers.
-
-Package: exe-thumbnailer
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends}, icoextract-thumbnailer
-Description: transitional package to icoextract-thumbnailer
- This is a dummy transitional package from exe-thumbnailer to
- icoextract-thumbnailer. It can be safely removed.
