## icoextract 0.1.5

=== debian/changelog ===
icoextract (0.1.5-1) unstable; urgency=medium

  * New upstream release.
    - Add application/vnd.microsoft.portable-executable to the thumbnailer's
      supported MIME types
  * d/control:
    - Bump Standards-Version to 4.7.0, no changes needed
    - Set minimum Python version to 3.8

 -- James Lu <jlu@debian.org>  Sun, 28 Apr 2024 17:36:20 -0700
