=== debian/changelog ===
icoextract (0.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/gbp.conf to use upstream-vcs-tag

 -- James Lu <jlu@debian.org>  Sun, 02 Mar 2025 15:45:15 -0800
