=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                imagemagick <!nocheck>,
                python3-pefile <!nocheck>,
                python3-pil <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/jlu5/icoextract
 Vcs-Browser: https://salsa.debian.org/jlu-guest/icoextract
 Vcs-Git: https://salsa.debian.org/jlu-guest/icoextract.git
-X-Python3-Version: >= 3.6
+X-Python3-Version: >= 3.8
 #Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
