=== debian/changelog ===
icoextract (0.2.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.7.2; no changes needed

 -- James Lu <jlu@debian.org>  Wed, 13 Aug 2025 20:11:02 -0700

icoextract (0.2.0-2) experimental; urgency=medium

  * Regenerate manual pages
  * Add versioned B-D on imagemagick (>= 8:6~) to avoid installing
    graphicsmagick-imagemagick-compat instead. graphicsmagick does not support
    creating ICO files, which is needed for icoextract's tests.

 -- James Lu <jlu@debian.org>  Sat, 28 Jun 2025 12:39:47 -0700

icoextract (0.2.0-1) experimental; urgency=medium

  * New upstream release.
    - Fix tests compilation with make --shuffle (Closes: #1105413)
  * Update Vcs fields and X-Python3-Version to >= 3.9

 -- James Lu <jlu@debian.org>  Sun, 22 Jun 2025 01:24:11 -0700
