=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                python3-setuptools,
                python3-all,
                gcc-mingw-w64 <!nocheck>,
-               imagemagick <!nocheck>,
+               imagemagick (>= 8:6~) <!nocheck>,
                python3-pefile <!nocheck>,
                python3-pil <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jlu5/icoextract
-Vcs-Browser: https://salsa.debian.org/jlu-guest/icoextract
-Vcs-Git: https://salsa.debian.org/jlu-guest/icoextract.git
-X-Python3-Version: >= 3.8
+Vcs-Browser: https://salsa.debian.org/jlu/icoextract
+Vcs-Git: https://salsa.debian.org/jlu/icoextract.git
+X-Python3-Version: >= 3.9
 #Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
