=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_gencontrol:
-	dh_gencontrol
-	dh_gencontrol -pexe-thumbnailer -- -v1~icoextract-$(DEB_VERSION)
