=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%icoextract-$1.tar.gz%" \
   https://github.com/jlu5/icoextract/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
